mydumpTopology(aResShape)


print(len(lstWires))

face = BRepBuilderAPI_MakeFace(topods_Wire(lstWires[-1]))

starting_point = gp_Pnt(0., 0., 0.)
end_point = gp_Pnt(0., 0., 100.)
vec = gp_Vec(starting_point, end_point)

prism = BRepPrimAPI_MakePrism(face.Shape(), vec).Shape()

freecadObj = FreeCADPart.Wire(FreeCADPart.__fromPythonOCC__(lstWires[-1]))

print(str(type(freecadObj)))

cqObj = cq.CQ(freecadObj)

cqObj = Wire(cqObj)

print(str(type(cqObj)))

wkplane = cq.Workplane("XY").addWires(cqObj).extrude(20)
#print(str(type(wkplane)))
#print(wkplane.wires().size())

display.DisplayShape(prism, update=False)